Aller au contenu

GetAgentActivitySessions

GET
/api/reports/agent-activity/sessions
curl --request GET \
--url https://example.com/api/reports/agent-activity/sessions \
--header 'Authorization: Bearer <token>'
from
string format: date-time
to
string format: date-time
projects
string
users
string
clients
string
tags
string
tasks
string
description_contains
string
origins
string
cursor
string
limit
integer format: int32
agentSessionId
string

OK

Media typeapplication/json
object
data
Array<object>
nullable
object
userId
string format: uuid
userDisplayName
string
nullable
agentSessionId
string
nullable
agentName
string
nullable
projects
Array<object>
nullable
object
projectId
string format: uuid
name
string
nullable
color
string
nullable
firstStartedAt
string format: date-time
lastStoppedAt
string format: date-time
segmentCount
integer format: int32
delegatedCount
integer format: int32
sessionSeconds
integer format: int64
notCountedSessionSeconds
integer format: int64
delegatedSeconds
integer format: int64
tokens
object
inputTokens
integer format: int64
outputTokens
integer format: int64
cacheCreationTokens
integer format: int64
cacheReadTokens
integer format: int64
totalTokens
integer format: int64
worstUsageQuality
integer format: int32
Allowed values: 0 1 2
page
object
next_cursor
string
nullable
has_more
boolean
Example
{
"data": [
{
"worstUsageQuality": 0
}
]
}

Bad Request

Media typeapplication/problem+json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}